## python-softlayer 3.0.1

=== requirements.txt ===
tox
nose
mock
coverage

=== debian/changelog ===
python-softlayer (3.0.1-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Alessio Treglia <alessio@debian.org>  Sun, 24 Nov 2013 23:43:01 +0000

python-softlayer (3.0.0-1) unstable; urgency=low

  * Initial release. (Closes: #725912)

 -- Alessio Treglia <alessio@debian.org>  Wed, 09 Oct 2013 23:29:25 +0100

=== debian/control ===
Source: python-softlayer
Section: python
Priority: optional
Maintainer: Alessio Treglia <alessio@debian.org>
Build-Depends:
 debhelper (>= 9~),
 python-all,
 python-setuptools
X-Python-Version: >= 2.6
Standards-Version: 3.9.4
Homepage: http://github.com/softlayer/softlayer-api-python-client
Vcs-Git: git://anonscm.debian.org/collab-maint/python-softlayer.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-softlayer.git

Package: python-softlayer
Architecture: all
Depends:
 python-docopt,
 python-mock,
 python-nose,
 python-prettytable,
 python-requests,
 python-tox,
 ${misc:Depends},
 ${python:Depends}
Description: Python client for SoftLayer API
 This library provides a simple interface to interact with SoftLayer's
 XML-RPC API and provides support for many of SoftLayer API's features
 like object masks and a command-line interface that can be used to
 access various SoftLayer services using the API.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build
	rm -rf *.egg-info

=== debian/watch ===
version=3
http://githubredir.debian.net/github/softlayer/softlayer-api-python-client/ v(.+).tar.gz

## python-softlayer 3.1.0

=== tools/requirements.txt ===
requests
prettytable >= 0.7.0
docopt == 0.6.1
six >= 1.1.0

=== debian/changelog ===
python-softlayer (3.1.0-1) unstable; urgency=low

  * New upstream release.

 -- Alessio Treglia <alessio@debian.org>  Mon, 28 Apr 2014 12:35:22 +0100

python-softlayer (3.0.2-1) unstable; urgency=low

  * New upstream release.
  * Update examples, example.py is no longer provided.
  * Fix debian/watch.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Tue, 11 Mar 2014 09:35:46 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  python-all,
  python-setuptools
 X-Python-Version: >= 2.6
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://github.com/softlayer/softlayer-api-python-client
 Vcs-Git: git://anonscm.debian.org/collab-maint/python-softlayer.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-softlayer.git

## python-softlayer 3.2.0

=== tools/requirements.txt ===
requests
prettytable >= 0.7.0
docopt == 0.6.1
six >= 1.7.0

=== debian/changelog ===
python-softlayer (3.2.0-2) unstable; urgency=medium

  * Fix docopt version in requires to SL will start (Closes: #778344)
  * Fix python-softlayer postinst/postrm file names to that alternatives works
    and SL is properly provided by python-softlayer (Closes: #778279)
  * Agreed maintainer change to Debian Python Modules Team (Closes: #777337)
  * Add Vcs-* for DPMT repository

 -- Scott Kitterman <scott@kitterman.com>  Fri, 13 Feb 2015 16:13:11 -0500

python-softlayer (3.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patch set.
  * Drop dependency on python-tox, not needed at all.
  * Refresh patches.
  * Add patch to fix FTBFS.
  * Add Python 3 support.
  * Handle /usr/bin/SL via update-alternatives.

 -- Alessio Treglia <alessio@debian.org>  Mon, 14 Jul 2014 14:41:50 +0100

=== debian/control ===
Source: python-softlayer
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Scott Kitterman <scott@kitterman.com>
Build-Depends:
 debhelper (>= 9~),
 dh-python,
 python-all,
 python-setuptools,
 python3-all,
 python3-setuptools
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.3
Standards-Version: 3.9.5
Homepage: http://github.com/softlayer/softlayer-api-python-client
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-softlayer/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-softlayer/trunk/

Package: python-softlayer
Architecture: all
Depends:
 python-docopt,
 python-mock,
 python-nose,
 python-prettytable,
 python-requests,
 python-six,
 ${misc:Depends},
 ${python:Depends}
Description: Python client for SoftLayer API (Python 2)
 This library provides a simple interface to interact with SoftLayer's
 XML-RPC API and provides support for many of SoftLayer API's features
 like object masks and a command-line interface that can be used to
 access various SoftLayer services using the API.
 .
 This is the Python 2 version of the package.

Package: python3-softlayer
Architecture: all
Breaks: python-softlayer (<= 3.1.0-1)
Replaces: python-softlayer (<= 3.1.0-1)
Depends:
 python3-docopt,
 python3-mock,
 python3-nose,
 python3-prettytable,
 python3-requests,
 python3-six,
 ${misc:Depends},
 ${python3:Depends}
Description: Python client for SoftLayer API (Python 3)
 This library provides a simple interface to interact with SoftLayer's
 XML-RPC API and provides support for many of SoftLayer API's features
 like object masks and a command-line interface that can be used to
 access various SoftLayer services using the API.
 .
 This is the Python 3 version of the package.

=== debian/watch ===
version=3
https://github.com/softlayer/softlayer-api-python-client/tags \
        .*/v(\d[\d\.]*)\.tar\.gz

## python-softlayer 3.3.1

=== debian/changelog ===
python-softlayer (3.3.1-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version to 3.9.6 without further change

 -- Scott Kitterman <scott@kitterman.com>  Thu, 23 Apr 2015 19:34:30 -0400

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  python3-setuptools
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.3
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://github.com/softlayer/softlayer-api-python-client
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-softlayer/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-softlayer/trunk/

## python-softlayer 4.1.1

=== tools/requirements.txt ===
requests
click >= 5
prettytable >= 0.7.0
six >= 1.7.0
prompt_toolkit

=== debian/changelog ===
python-softlayer (4.1.1-2ubuntu2) xenial; urgency=medium

  * Build-depend on python{,3}-click rather than python{,3}-click-cli now
    that it has reclaimed its name.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 12 Feb 2016 14:55:27 +0000

python-softlayer (4.1.1-2ubuntu1) xenial; urgency=medium

  * Build-depend on python{,3}-click-cli.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 25 Oct 2015 18:46:39 +0200

python-softlayer (4.1.1-2) unstable; urgency=medium

  * Fix package depends for python3-softlayer (spell python3-prompt-toolkit
    correctly)

 -- Scott Kitterman <scott@kitterman.com>  Sun, 13 Sep 2015 23:42:48 -0400

python-softlayer (4.1.1-1) unstable; urgency=medium

  * New upstream release
  * Add myself to debian/copyright for Debian packaging
  * Add python{3}-prompt-toolkit to Depends as the package uses it now

 -- Scott Kitterman <scott@kitterman.com>  Fri, 11 Sep 2015 08:09:24 -0400

python-softlayer (4.0.4-1) unstable; urgency=medium

  * New upstream release
  * Update debian/copyright
  * Add debian uupdate to debian/watch

 -- Scott Kitterman <scott@kitterman.com>  Tue, 07 Jul 2015 22:58:31 -0400

python-softlayer (4.0.3-2) unstable; urgency=medium

  * Update debian/python*-softlayer.prerm and postinst to provide alternatives
    for /usr/bin/slcli

 -- Scott Kitterman <scott@kitterman.com>  Fri, 26 Jun 2015 21:48:18 -0400

python-softlayer (4.0.3-1) unstable; urgency=medium

  * New upstream release
    - Drop debian/patches/docopt-versions.patch since docopt is no longer
      required
    - Drop depends on python-docopt and python3-docopt, no longer used
    - Drop debian/patches/1002-longdesc.patch, no longer required
    - Update debian/patches/1001-rename_sl.patch for upstream changes

 -- Scott Kitterman <scott@kitterman.com>  Mon, 22 Jun 2015 22:15:59 -0400

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,18 @@
 Source: python-softlayer
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Scott Kitterman <scott@kitterman.com>
 Build-Depends:
  debhelper (>= 9~),
  dh-python,
  python-all,
  python-setuptools,
+ python-click,
  python3-all,
- python3-setuptools
+ python3-setuptools,
+ python3-click,
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.3
 Standards-Version: 3.9.6
@@ -20,10 +23,10 @@
 Package: python-softlayer
 Architecture: all
 Depends:
- python-docopt,
  python-mock,
  python-nose,
  python-prettytable,
+ python-prompt-toolkit,
  python-requests,
  python-six,
  ${misc:Depends},
@@ -41,10 +44,10 @@
 Breaks: python-softlayer (<= 3.1.0-1)
 Replaces: python-softlayer (<= 3.1.0-1)
 Depends:
- python3-docopt,
  python3-mock,
  python3-nose,
  python3-prettytable,
+ python3-prompt-toolkit,
  python3-requests,
  python3-six,
  ${misc:Depends},

=== debian/watch ===
version=3
https://github.com/softlayer/softlayer-api-python-client/tags \
        .*/v(\d[\d\.]*)\.tar\.gz \
        debian uupdate

## python-softlayer 5.1.0

=== debian/changelog ===
python-softlayer (5.1.0-1) unstable; urgency=medium

  * New upstream release
  * Remove uupdate from debian/watch as it is no longer useful with the
    current DPMT packaging approach
  * Bump standards version to 3.9.8 without further change
  * Add missing depends on python/python3-pygments (it had previously
    been pulled in indirectly)
  * Add version constraints for depends based on upstream requirements
  * Add missing depends on python/python3-click (it is normally pulled
    in indirectly)
  * Update debian/copyright

 -- Scott Kitterman <scott@kitterman.com>  Thu, 26 May 2016 08:31:42 -0400

python-softlayer (5.0.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed homepage (https)
  * Fixed VCS URL (https)

  [ Scott Kitterman ]
  * New upstream release
  * Bump standards version to 3.9.7

 -- Scott Kitterman <scott@kitterman.com>  Sat, 02 Apr 2016 22:42:21 -0400

## python-softlayer 5.2.1

=== debian/changelog ===
python-softlayer (5.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Tue, 08 Nov 2016 08:09:24 -0500

python-softlayer (5.2.0-1) unstable; urgency=medium

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Fri, 09 Sep 2016 14:49:35 -0400

=== debian/control ===
Source: python-softlayer
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Scott Kitterman <scott@kitterman.com>
Build-Depends:
 debhelper (>= 9~),
 dh-python,
 python-all,
 python-setuptools,
 python3-all,
 python3-setuptools
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.3
Standards-Version: 3.9.8
Homepage: https://github.com/softlayer/softlayer-api-python-client
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-softlayer.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-softlayer.git

Package: python-softlayer
Architecture: all
Depends:
 python-click (>= 5),
 python-mock,
 python-nose,
 python-prettytable (>= 0.7.0),
 python-prompt-toolkit (>= 0.53),
 python-pygments (>= 2.0.0),
 python-requests (>= 2.7.0),
 python-six (>= 1.7.0),
 ${misc:Depends},
 ${python:Depends}
Description: Python client for SoftLayer API (Python 2)
 This library provides a simple interface to interact with SoftLayer's
 XML-RPC API and provides support for many of SoftLayer API's features
 like object masks and a command-line interface that can be used to
 access various SoftLayer services using the API.
 .
 This is the Python 2 version of the package.

Package: python3-softlayer
Architecture: all
Breaks: python-softlayer (<= 3.1.0-1)
Replaces: python-softlayer (<= 3.1.0-1)
Depends:
 python3-click (>= 5),
 python3-mock,
 python3-nose,
 python3-prettytable (>= 0.7.0),
 python3-prompt-toolkit (>= 0.53),
 python3-pygments (>= 2.0.0),
 python3-requests (>= 2.7.0),
 python3-six (>= 1.7.0),
 ${misc:Depends},
 ${python3:Depends}
Description: Python client for SoftLayer API (Python 3)
 This library provides a simple interface to interact with SoftLayer's
 XML-RPC API and provides support for many of SoftLayer API's features
 like object masks and a command-line interface that can be used to
 access various SoftLayer services using the API.
 .
 This is the Python 3 version of the package.

## python-softlayer 5.2.7

=== debian/changelog ===
python-softlayer (5.2.7-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches after git-dpm to gbp pq conversion

 -- Scott Kitterman <scott@kitterman.com>  Mon, 26 Jun 2017 09:14:34 -0400

## python-softlayer 5.4.2

=== tools/requirements.txt ===
requests >= 2.18.4
click >= 5
prettytable >= 0.7.0
six >= 1.7.0
prompt_toolkit
urllib3

=== debian/changelog ===
python-softlayer (5.4.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ Scott Kitterman ]
  * New upstream release
    - Refresh patches

 -- Scott Kitterman <scott@kitterman.com>  Fri, 23 Feb 2018 22:25:41 -0500

python-softlayer (5.4.0-1) unstable; urgency=medium

  * New upstream release
  * Update debian/copyright

 -- Scott Kitterman <scott@kitterman.com>  Thu, 18 Jan 2018 18:33:07 -0500

python-softlayer (5.3.2-1) unstable; urgency=medium

  * New upstream release
  * Update debian/copyright
  * Bump standards-version to 4.1.3 without further change

 -- Scott Kitterman <scott@kitterman.com>  Tue, 09 Jan 2018 23:46:19 -0500

python-softlayer (5.2.14-1) unstable; urgency=medium

  * New upstream release
  * Bump standards-version to 4.1.1.1 without further change

 -- Scott Kitterman <scott@kitterman.com>  Sat, 07 Oct 2017 20:19:26 -0400

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,10 @@
  python3-setuptools
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.3
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: https://github.com/softlayer/softlayer-api-python-client
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-softlayer.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-softlayer.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-softlayer.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-softlayer
 
 Package: python-softlayer
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=softlayer
export PYBUILD_INSTALL_ARGS_python2=--install-scripts=/usr/lib/python2-softlayer/
export PYBUILD_INSTALL_ARGS_python3=--install-scripts=/usr/lib/python3-softlayer/

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build
	rm -rf *.egg-info

# Disabled as they require multiple packages to run
override_dh_auto_test:

## python-softlayer 5.4.4

=== debian/changelog ===
python-softlayer (5.4.4-1) unstable; urgency=medium

  * New upstream release
  * Bump standards-version to 4.1.4 without further change
  * Drop obsolete Breaks/Replaces from python3-softlayer

 -- Scott Kitterman <scott@kitterman.com>  Mon, 30 Apr 2018 15:35:49 -0400

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  python3-setuptools
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.3
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://github.com/softlayer/softlayer-api-python-client
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-softlayer.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-softlayer
@@ -40,8 +40,6 @@
 
 Package: python3-softlayer
 Architecture: all
-Breaks: python-softlayer (<= 3.1.0-1)
-Replaces: python-softlayer (<= 3.1.0-1)
 Depends:
  python3-click (>= 5),
  python3-mock,

## python-softlayer 5.6.4

=== tools/requirements.txt ===
six >= 1.7.0
ptable >= 0.9.2
click >= 7
requests >= 2.20.0
prompt_toolkit >= 0.53
pygments >= 2.0.0
urllib3 >= 1.24

=== debian/changelog ===
python-softlayer (5.6.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 18:01:53 +0800

python-softlayer (5.6.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ Scott Kitterman ]
  * New upstream release
    - Update python/python3-prettytable depends to ptable
  * Bump standards-version to 4.3.0 without further change
  * Run upstream tests as autopkgtest
  * Add ptable to pydist overrides

 -- Scott Kitterman <scott@kitterman.com>  Mon, 21 Jan 2019 13:49:47 -0500

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,7 @@
  python-setuptools,
  python3-all,
  python3-setuptools
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.3
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Homepage: https://github.com/softlayer/softlayer-api-python-client
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-softlayer.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-softlayer
@@ -23,7 +21,7 @@
  python-click (>= 5),
  python-mock,
  python-nose,
- python-prettytable (>= 0.7.0),
+ python-ptable (>= 0.9.2),
  python-prompt-toolkit (>= 0.53),
  python-pygments (>= 2.0.0),
  python-requests (>= 2.7.0),
@@ -44,7 +42,7 @@
  python3-click (>= 5),
  python3-mock,
  python3-nose,
- python3-prettytable (>= 0.7.0),
+ python3-ptable (>= 0.9.2),
  python3-prompt-toolkit (>= 0.53),
  python3-pygments (>= 2.0.0),
  python3-requests (>= 2.7.0),

=== debian/tests/control ===
Tests: py2 py3
Depends: @, python, python-mock, python-pytest, python-testtools, python3-all, python3-mock, python3-pytest, python3-testtools
Restrictions: allow-stderr

## python-softlayer 5.7.2

=== debian/changelog ===
python-softlayer (5.7.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Ana Custura ]
  * New upstream version 5.7.2

 -- Ana Custura <ana@netstat.org.uk>  Tue, 23 Jul 2019 22:14:58 +0100

python-softlayer (5.7.1-1) experimental; urgency=medium

  [ Ana Custura ]
  * New upstream release 5.7.1
  * Add myself to uploaders (Closes: #926541)
  * debian/control
    - Remove unnecessary versioned dependencies
    - Apply cme formatting fixes
    - Bump debhelper version to 12

 -- Ana Custura <ana@netstat.org.uk>  Sun, 14 Apr 2019 16:21:53 +0100

=== debian/control ===
Source: python-softlayer
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Ana Custura <ana@netstat.org.uk>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python-all,
               python-setuptools,
               python3-all,
               python3-setuptools
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-softlayer
Vcs-Git: https://salsa.debian.org/python-team/modules/python-softlayer.git
Homepage: https://github.com/softlayer/softlayer-api-python-client

Package: python-softlayer
Architecture: all
Depends: python-click,
         python-mock,
         python-nose,
         python-ptable,
         python-prompt-toolkit,
         python-pygments,
         python-requests (>= 2.7.0),
         python-six,
         ${misc:Depends},
         ${python:Depends}
Description: Python client for SoftLayer API (Python 2)
 This library provides a simple interface to interact with SoftLayer's
 XML-RPC API and provides support for many of SoftLayer API's features
 like object masks and a command-line interface that can be used to
 access various SoftLayer services using the API.
 .
 This is the Python 2 version of the package.

Package: python3-softlayer
Architecture: all
Depends: python3-click,
         python3-mock,
         python3-nose,
         python3-ptable,
         python3-prompt-toolkit,
         python3-pygments,
         python3-requests (>= 2.7.0),
         python3-six,
         ${misc:Depends},
         ${python3:Depends}
Description: Python client for SoftLayer API (Python 3)
 This library provides a simple interface to interact with SoftLayer's
 XML-RPC API and provides support for many of SoftLayer API's features
 like object masks and a command-line interface that can be used to
 access various SoftLayer services using the API.
 .
 This is the Python 3 version of the package.

## python-softlayer 5.8.5

=== docs/requirements.txt ===
sphinx
sphinx-click
click
prettytable

=== debian/changelog ===
python-softlayer (5.8.5-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Gordon Ball ]
  * New upstream version 5.8.5 (closes: #948397)

 -- Ana Custura <ana@netstat.org.uk>  Fri, 07 Feb 2020 11:06:13 +0000

python-softlayer (5.7.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Drop Python 2 support. Closes: #938185

  [ Sandro Tosi ]
  * Team upload.

 -- Sandro Tosi <morph@debian.org>  Sun, 22 Sep 2019 17:21:51 -0400

=== debian/control ===
Source: python-softlayer
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Ana Custura <ana@netstat.org.uk>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-setuptools
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-softlayer
Vcs-Git: https://salsa.debian.org/python-team/modules/python-softlayer.git
Homepage: https://github.com/softlayer/softlayer-api-python-client

Package: python3-softlayer
Architecture: all
Depends: python3-click,
         python3-mock,
         python3-nose,
         python3-ptable,
         python3-prompt-toolkit (>= 2),
         python3-pygments,
         python3-requests,
         python3-six,
         ${misc:Depends},
         ${python3:Depends}
Description: Python client for SoftLayer API (Python 3)
 This library provides a simple interface to interact with SoftLayer's
 XML-RPC API and provides support for many of SoftLayer API's features
 like object masks and a command-line interface that can be used to
 access various SoftLayer services using the API.
 .
 This is the Python 3 version of the package.

=== debian/tests/control ===
Tests: py3
Depends: @, python3-all, python3-mock, python3-pytest, python3-testtools
Restrictions: allow-stderr

=== debian/watch ===
version=3
https://github.com/softlayer/softlayer-api-python-client/tags \
        .*/v(\d[\d\.]*)\.tar\.gz

## python-softlayer 5.9.8

=== Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/softlayer-python.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/softlayer-python.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/softlayer-python"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/softlayer-python"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== tools/requirements.txt ===
ptable >= 0.9.2
click >= 7
requests >= 2.20.0
prompt_toolkit >= 2
pygments >= 2.0.0
urllib3 >= 1.24

=== debian/changelog ===
python-softlayer (5.9.8-2) unstable; urgency=medium

  * Integrate Python Team changes
  * Remove patch applied upstream

 -- Ana Custura <ana@netstat.org.uk>  Mon, 07 Feb 2022 10:29:47 +0000

python-softlayer (5.9.8-1) unstable; urgency=medium

  * New upstream version 5.9.8
  * Bump debhelper-compat version to 13
  * Add Rules-Requires-Root: no to debian/control

 -- Ana Custura <ana@netstat.org.uk>  Mon, 07 Feb 2022 10:24:46 +0000

python-softlayer (5.9.7-1) unstable; urgency=medium

  * New upstream release; Closes: #997878
  * debian/patches/
    - refresh, drop patch released upstream
  * debian/patches/collections-abc-mapping.patch
    - fix a test failure by importing Mapping from the right module
  * debian/control
    - run wrap-and-sort
  * debian/tests/control
    - install tkinter, needed by autopkgtests

 -- Sandro Tosi <morph@debian.org>  Sun, 21 Nov 2021 01:15:20 -0500

python-softlayer (5.8.5-2) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Graham Inggs ]
  * Fix testing domain that should not exist (Closes: #989620)
  * Add needs-internet autopkgtest restriction

 -- Graham Inggs <ginggs@debian.org>  Fri, 11 Jun 2021 09:35:36 +0000

=== debian/control ===
Source: python-softlayer
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Ana Custura <ana@netstat.org.uk>,
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-softlayer
Vcs-Git: https://salsa.debian.org/python-team/packages/python-softlayer.git
Homepage: https://github.com/softlayer/softlayer-api-python-client
Rules-Requires-Root: no

Package: python3-softlayer
Architecture: all
Depends: python3-click,
         python3-mock,
         python3-nose,
         python3-prompt-toolkit (>= 2),
         python3-ptable,
         python3-pygments,
         python3-requests,
         python3-six,
         ${misc:Depends},
         ${python3:Depends},
Description: Python client for SoftLayer API (Python 3)
 This library provides a simple interface to interact with SoftLayer's
 XML-RPC API and provides support for many of SoftLayer API's features
 like object masks and a command-line interface that can be used to
 access various SoftLayer services using the API.
 .
 This is the Python 3 version of the package.

=== debian/tests/control ===
Tests: py3
Depends: @, python3-all, python3-mock, python3-pytest, python3-testtools, python3-tk
Restrictions: allow-stderr, needs-internet

## python-softlayer 6.1.3

=== tools/requirements.txt ===
prettytable >= 2.5.0
click >= 8.0.4
requests >= 2.20.0
prompt_toolkit >= 2
pygments >= 2.0.0
urllib3 >= 1.24
rich == 12.6.0
# only used for soap transport
# softlayer-zeep >= 5.0.0

=== debian/changelog ===
python-softlayer (6.1.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 6.1.3
    Fix ftbfs on python3.11. Closes: #1024877
  * Rebase d/patch
  * Set std-ver to 4.6.1
  * Update d/copyright
  * Remove unnecessary depends for binary package
  * Add python3-zeep for autopkgtest
  * Adjust autopkgtest
  * Update d/watch

 -- Bo YU <tsu.yubo@gmail.com>  Mon, 05 Dec 2022 10:21:05 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                dh-python,
                python3-all,
                python3-setuptools,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-softlayer
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-softlayer.git
 Homepage: https://github.com/softlayer/softlayer-api-python-client
@@ -15,15 +15,7 @@
 
 Package: python3-softlayer
 Architecture: all
-Depends: python3-click,
-         python3-mock,
-         python3-nose,
-         python3-prompt-toolkit (>= 2),
-         python3-ptable,
-         python3-pygments,
-         python3-requests,
-         python3-six,
-         ${misc:Depends},
+Depends: ${misc:Depends},
          ${python3:Depends},
 Description: Python client for SoftLayer API (Python 3)
  This library provides a simple interface to interact with SoftLayer's

## python-softlayer 6.1.4

=== docs/requirements.txt ===
sphinx
sphinx-click
click
prettytable
rich

=== tools/requirements.txt ===
--- 
+++ 
@@ -4,6 +4,6 @@
 prompt_toolkit >= 2
 pygments >= 2.0.0
 urllib3 >= 1.24
-rich == 12.6.0
+rich == 13.3.1
 # only used for soap transport
 # softlayer-zeep >= 5.0.0

=== debian/changelog ===
python-softlayer (6.1.4-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse,
    Security-Contact.
  * Update standards version to 4.6.2, no changes needed.

  [ Bo YU ]
  * New upstream version 6.1.4

 -- Bo YU <tsu.yubo@gmail.com>  Mon, 27 Feb 2023 12:16:49 +0800

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                dh-python,
                python3-all,
                python3-setuptools,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-softlayer
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-softlayer.git
 Homepage: https://github.com/softlayer/softlayer-api-python-client

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=softlayer
export PYBUILD_INSTALL_ARGS_python3=--install-scripts=/usr/lib/python3-softlayer/

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build
	rm -rf *.egg-info

# Disabled as they require multiple packages to run
override_dh_auto_test:

=== debian/tests/control ===
Tests: py3
Depends: @, python3-all, python3-mock, python3-pytest, python3-testtools, python3-tk, python3-zeep
Restrictions: allow-stderr, needs-internet, needs-root

=== debian/watch ===
version=4
https://github.com/softlayer/softlayer-api-python-client/tags \
        .*/v(\d[\d\.]*)\.tar\.gz

## python-softlayer 6.2.5

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/SoftLayerAPIPythonClient.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/SoftLayerAPIPythonClient.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/SoftLayerAPIPythonClient"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/SoftLayerAPIPythonClient"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== docs/requirements.txt ===
sphinx==8.0.2
sphinx_rtd_theme==2.0.0
sphinx-click==6.0.0
click
prettytable
rich

=== tools/requirements.txt ===
prettytable >= 2.5.0
click >= 8.0.4
requests >= 2.32.2
prompt_toolkit >= 2
pygments >= 2.0.0
urllib3 >= 1.24
rich == 13.7.1
# only used for soap transport
# softlayer-zeep >= 5.0.0

=== debian/changelog ===
python-softlayer (6.2.5-1) unstable; urgency=medium

  * Team upload.
  * Use new dh-sequence-python3
  * Remove Py2 vs 3 hybridation
  * Autopkgtest does not need python3-mock anymore
  * Reformat d/control with debputy

  [ Bo YU ]
  * New upstream version 6.2.5
  * Refresh 0001-Rename-launcher-script-to-avoid-namespace-conflicts.patch
  * Bump std-ver to 4.7.0
  * Update year of d/copyright
  * Add more data files for autopkgtest

 -- Alexandre Detiste <tchet@debian.org>  Fri, 21 Feb 2025 21:38:55 +0100

=== debian/control ===
Source: python-softlayer
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Ana Custura <ana@netstat.org.uk>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-setuptools,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-softlayer
Vcs-Git: https://salsa.debian.org/python-team/packages/python-softlayer.git
Homepage: https://github.com/softlayer/softlayer-api-python-client
Rules-Requires-Root: no
X-Style: black

Package: python3-softlayer
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python client for SoftLayer API (Python 3)
 This library provides a simple interface to interact with SoftLayer's
 XML-RPC API and provides support for many of SoftLayer API's features
 like object masks and a command-line interface that can be used to
 access various SoftLayer services using the API.
 .
 This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=softlayer
export PYBUILD_INSTALL_ARGS=--install-scripts=/usr/lib/python3-softlayer/

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build
	rm -rf *.egg-info

# Disabled as they require multiple packages to run
override_dh_auto_test:

=== debian/tests/control ===
Tests:
 py3,
Depends:
 python3-all,
 python3-pytest,
 python3-testtools,
 python3-tk,
 python3-zeep,
 @,
Restrictions:
 allow-stderr,
 needs-internet,
 needs-root,
